﻿@model Web.Models.GroupModels.GroupViewEditAddModel;
@*Add form*@
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">



<div class="bg-light text-center">
    @using (Html.BeginForm("EditGroup", "Group", FormMethod.Post))
    {
        <h3>Edit group</h3>
        @Html.HiddenFor(model => model.Id);
        @Html.HiddenFor(model => model.CourseId);
        <div class="mb-3 mt-3">
            @Html.LabelFor(model => model.Name,null,new { htmlAttributes = new { @class = "form-label" } })
            @Html.EditorFor(model => model.Name,new { htmlAttributes = new { @class = "form-control" } })
        </div>
        <div class="mb-3">
            @Html.LabelFor(model => model.Description,null,new { htmlAttributes = new { @class = "form-label" }})
            @Html.EditorFor(model => model.Description,new { htmlAttributes = new { @class = "form-control" } })
        </div>
        
        <button type="submit" class="btn btn-primary">Send</button>
    }

</div>

@await Html.PartialAsync("_ValidationScriptsPartial")